/* A database class for WebSQL */
class dbClass {
    constructor(dbName, dbDisplay="", callback=function(){}) {
        this.conn = openDatabase(dbName, '1.0', dbDisplay, 2 * 1024 * 1024); //create or open database
        this.conn.transaction(function (tx) { callback(); });        
    }
    execute(sql, arr=[], callback=function(){}) {
        console.log(sql);
        console.log(arr);       
        this.conn.transaction(function (tx) { 
            tx.executeSql(
                sql, 
                arr, 
                function (tx, stmt) { 
                    console.log(tx);
                    console.log(stmt);
                    callback(stmt.rows, stmt.rows.length, stmt.rowsAffected);
                },
                function (tx, err) {
					console.log(err);
				}
            ); 
        });
    }
}